# DeleteCloudRouterEdgePoint

## 1. API Description

This API is used to remove one access point from a Layer 3 cloud router.

{% hint style="info" %} <mark style="color:blue;">**Note**</mark>

* <mark style="color:blue;">The quantity of access points in the Layer 3 cloud router should be larger than two. You cannot remove any access point from a Layer 3 cloud router with only two access points in it.</mark>
* <mark style="color:blue;">This API is an async API. A request ID is returned after the request is sent. However, it does not mean the operation has been completed. The status of the cloud router will be</mark> <mark style="color:blue;">`UPDATING`</mark> <mark style="color:blue;">during the operation. If</mark> <mark style="color:blue;">no result</mark> <mark style="color:blue;">of the access point can be queried, it means that the access point has been removed.</mark>
* <mark style="color:blue;">Any operations on the</mark> <mark style="color:blue;">cloud routers</mark> <mark style="color:blue;">are not allowed while removing an access point.</mark>
  {% endhint %}

## 2. Input Parameters

The following request parameter list only provides API request parameters.

<table><thead><tr><th width="187">Parameter Name</th><th width="112.875">Required</th><th width="89">Type</th><th>Description</th></tr></thead><tbody><tr><td>edgePointId</td><td>Yes</td><td>String</td><td>Access point ID.</td></tr><tr><td>cloudRouterId</td><td>Yes</td><td>String</td><td>Cloud router ID.</td></tr></tbody></table>

## 3. Output Parameters

<table><thead><tr><th width="192.33333333333331">Parameter Name</th><th width="92.54340836012864">Type</th><th>Description</th></tr></thead><tbody><tr><td>requestId</td><td>String</td><td>The unique request ID, which is returned for each request. RequestId is required for locating a problem.</td></tr></tbody></table>

## 4. Code Example

{% tabs %}
{% tab title="Example" %}
**Remove an access point from a Layer 3 cloud router.**

```json
POST /api/v2/sdn HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: DeleteCloudRouterPoint
<Common Request Params>

Request：
{
    "cloudRouterId": "your-cloud-router-id"
    "edgePointId": "your-cloud-router-point-id"
}

Response：
{   
  "requestId": "T98044459-95B2-477E-9A2F-00253A70CC6E",
  "response": {
     "requestId": "T98044459-95B2-477E-9A2F-00253A70CC6E"，
  }
}
```

{% endtab %}
{% endtabs %}

## 5. Developer Resources

Zenlayer Cloud API 2.0 integrates [SDKs](https://docs.console.zenlayer.com/api-reference/api-introduction/toolkit/api-sdk) to make it easier for you to call APIs. More programming languages will be supported.

## 6. Error Codes

The following only lists the error codes related to the API business logic. For other error codes, see [Common Error Codes](https://docs.console.zenlayer.com/api-reference/api-introduction/instruction/commonerrorcode).​

<table><thead><tr><th width="204">HTTP Status Code</th><th width="246">Error Code</th><th>Description</th></tr></thead><tbody><tr><td>404</td><td>INVALID_CLOUD_ROUTER_EDGE_NOT_FOUND</td><td>Access point doesn't exist.</td></tr></tbody></table>
